#
# spec file for package cura-engine-lulzbot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cura-engine-lulzbot
Version:        3.2.28
Release:        1.2
Summary:        3D printer control software
License:        AGPL-3.0-only
Group:          Hardware/Printing
Conflicts:      cura-engine
Url:            https://code.alephobjects.com/diffusion/CTE/cura-engine.git
Source0:        CuraEngine-%{version}.tar.xz
Source1:        CuraEngine.1
%if 0%{?suse_version} < 1500
BuildRequires:  gcc6-c++
#!BuildIgnore:  libgcc_s1
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  cmake
BuildRequires:  libArcus-devel

%description
CuraEngine is an engine for processing 3D models
into 3D printing instruction for Ultimaker and other GCode based 3D printers.
It is part of the larger open source project called "Cura".

This is the LulzBot variation of the engine.

%prep
%setup -q -n CuraEngine-%version

%build
%if 0%{?suse_version} < 1500
export CC=gcc-6
export CXX=g++-6
%endif
# make sure internal lib_CuraEngine is statically build and linked
%cmake -DCMAKE_POSITION_INDEPENDENT_CODE="true" -DBUILD_SHARED_LIBS="false"

make %{?_smp_mflags}

%install
cd build
%make_install

install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/CuraEngine-lulzbot.1
mv %buildroot%_bindir/CuraEngine{,-lulzbot}

%files
%doc README.md Changelog.md
%license LICENSE
%_bindir/CuraEngine-lulzbot

%_mandir/man1/CuraEngine-lulzbot.1*

%changelog
* Tue Sep 25 2018 Adrian Schröter <adrian@suse.de>
- update to version 3.2.28
  * version update only
  * obsoletes fix-build.patch
* Mon Aug  6 2018 adrian@suse.de
- update to version 3.2.24
  * version update only
* Wed Jul 25 2018 adrian@suse.de
- use upstream libArcus instead of lulzbot flavor
* Fri Jul 13 2018 adrian@suse.de
- update to version 3.2.23
  * version update only
* Tue Jul  3 2018 adrian@suse.de
- update to version 3.2.22
  * added backlash_fading option
* Wed May 30 2018 adrian@suse.de
- update to version 3.2.21
  * version update only
* Mon May 14 2018 adrian@suse.de
- update to version 3.2.20
  * version update only
* Wed May  2 2018 adrian@suse.de
- update to version 3.2.19
  * version update only
* Thu Apr 19 2018 adrian@suse.de
- update to version 3.2.18
  * version only
* Fri Apr 13 2018 stefan.bruens@rwth-aachen.de
- Link private lib_CuraEngine statically to binary
- Use CMAKE_POSITION_INDEPENDENT_CODE instead of mangling CFLAGS
* Tue Apr  3 2018 adrian@suse.de
- update to version 3.2.16
  * Layer hight and count fixes
* Thu Mar  8 2018 adrian@suse.de
- update to version 3.2.9
  * version update only
* Mon Mar  5 2018 adrian@suse.de
- update to version 3.2.7
  * version update only
* Mon Feb 12 2018 adrian@suse.de
- update to version 3.2.3
* Wed Jan 31 2018 jengelh@inai.de
- Trim rhetorics from description.
* Wed Jan 31 2018 adrian@suse.de
- update to version 3.2.1
* Fri Nov  3 2017 adrian@suse.de
- forked and update to lulzbot version 2.6.43
